#ifndef _CMDLINE_HEADER
#define _CMDLINE_HEADER

// ******* Define Prototypes ********

// This function displays brief command line help to the user.
// Parameters:
// char* argv[]     : Pointer to command line parameter pointer array
//
void PrintProgramHelp (char* argv[]);

// integer assignment
int intAssign (int& cmdCount, int argc, char* argv[] );

// string assignment
char* strAssign (int& cmdCount, int argc, char* argv[]);

// Function processes command line parameters
int ProcessCommandLine (int argc, char* argv[], Config& settings,
                        char*& pInFile, char*& pOutFile);

#endif